Rated 5 out of 5 stars

It works normally in Firefox 5.x and 6.x if you install Add-on Compatibility Reporter extension and force enable this extension.
Feature requests:
1. Add favorite regions for quick switch without typing.
2. Show geo-dependency of current query.
Before I have use this gracemonkey script: http://ivanov.in/seo/region-switcher/
But after last yandex template update it broken, and I can't find any alternative instead of this extension.

This user has a previous review of this add-on.